#include "StdAfx.h"
#include "NotifyCommand.h"
#include "NotificationProxy.h"

INotifyCommand::INotifyCommand(IGTObject *pGTObject, int nTickCount) :
	m_pGTObject(pGTObject),
	m_nTickCount(nTickCount)
{
	if(m_pGTObject)
		m_pGTObject->RetainObject();
}


INotifyCommand::~INotifyCommand()
{
	if(m_pGTObject)
		m_pGTObject->ReleaseObject();
}

void INotifyCommand::ExecuteAsync(void)
{
	GT_NOTI_PROXY->Notify(this);
}
